import type { _PDFAnnotation } from "./PDFAnnotation.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSColor } from "../AppKit/NSColor.js";
import type { CGPoint } from "../structs/CGPoint.js";
import type { PDFLineStyle } from "./PDFLineStyle.js";
export declare class _PDFAnnotationLine extends _PDFAnnotation {
    static alloc(): _PDFAnnotationLine;
    static new(): _PDFAnnotationLine;
    init(): _PDFAnnotationLine;
    /**
     * Points specifying start and end points for line annotation (required). Points are specified relative to the annotation's bound's origin.
     */
    startPoint(): CGPoint;
    setStartPoint$(point: CGPoint): void;
    endPoint(): CGPoint;
    setEndPoint$(point: CGPoint): void;
    /** Style used for ornaments at the lines start and end (optional, PDF 1.4). */
    startLineStyle(): PDFLineStyle;
    setStartLineStyle$(style: PDFLineStyle): void;
    endLineStyle(): PDFLineStyle;
    setEndLineStyle$(style: PDFLineStyle): void;
    /**
     * Fill color used for drawing ornaments at end and start of lines (optional, PDF 1.4).
     */
    interiorColor(): _NSColor;
}
export interface _PDFAnnotationLine extends _NSCopying {
}
